import Head from 'next/head'
import React, { Component } from 'react';
import Link from 'next/link';
import $ from 'jquery';
import Play from './Play'
import { useRouter } from 'next/router'
import dynamic from "next/dynamic";
const WhaleAlert = dynamic(() => import('./WhaleAlert'), {ssr: false});

export default class Home extends Component {
    constructor(props){
        super(props);
        this.state={y:0,market:[],products:[],lastvisites:[],loading:true,designers:[]}
        this.filterDo=this.filterDo.bind(this)
        this.handleScroll=this.handleScroll.bind(this)
    }
    handleClick(e){
        if($('body').hasClass('playInChoose')){
            if(!e.target.className.includes('masterKaarV2PlayTokenSearchInput') && !e.target.className.includes('masterKaarV2PlayTokenLi')){
                $('.masterKaarV2PlayInputWrap').removeClass('active');
                $('body').removeClass('playInChoose') 
            }
        }
    }
    componentDidMount(){
        this.setState({market:this.props.market})
        window.addEventListener('scroll', this.handleScroll)
        window.addEventListener("click", this.handleClick);
    }
    componentWillUnmount(){
        window.removeEventListener('scroll', this.handleScroll)
        window.removeEventListener("click", this.handleClick);
    }
    handleScroll(event){
        const { pageYOffset, scrollY, innerHeight } = window;
        this.setState({y:(scrollY-innerHeight)});
    }
    componentDidUpdate(prevProps){
        if(this.state.market!=this.props.market){
            this.setState({market:this.props.market})
        }
    }
    proprice(num,persian=true){
        let result = num.toString();
        result = result.replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ",");
        if(persian){
          var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
          result = result.replace(/[0-9]/g, function (w) {return id[+w];});
          if(result.includes('.')){ result = result.split('.')[0] }
        }
        return result;
    }
    filterAction(e){
        $(e.currentTarget).toggleClass('active')
    }
    filterDo(e){
        const self = this
        const sort = $(e.currentTarget).data('sort')
        this.props.setSort(sort,()=>{
            self.setState({market:this.props.market})
        })
    }
    tutorialChoose(e){
        $('.masterTutorial').removeClass('active')
        $(e.currentTarget).addClass('active')
        $('.masterTutorialVideo').addClass('animated fadeIn')
        setTimeout(()=>$('.masterTutorialVideo').removeClass('animated fadeIn'),500)
    }
    prowage(string){
        let classbazi='isDown'
        if(!string.includes('-')){
            string='+'+string
            classbazi='isUp'
        }
        if(!string.includes('%')){ string+='%' }
        return <bdi className={classbazi}>{string}</bdi>
    }
    proprice(num,persian=true){
        let result = num.toString();
        result = result.replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,');
        if(persian){
          var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
          result = result.replace(/[0-9]/g, function (w) {return id[+w];});
          if(result.includes('.')){ result = result.split('.')[0] }
        }
        return result;
    }
    render() {
        const self = this
        let results = this.state.market
        if(this.props.results || this.props.search){ results = this.props.results }
        return (
            <React.Fragment>
            <Head><title>شیفت، صرافی جامع ارز های دیجیتال</title></Head>
            <div className="masterMainIntro masterMainIntroV2">
                {/* <Slider/> */}
                <div className="logoHook">
                    <div className="logoHookInner"></div>
                </div>
                <div className="masterKaar masterKaarV2">
                    <div className="masterKaarV2Content">
                    <h1>شیفت، صرافی جامع ارز های دیجیتال</h1>
                    <div className="masterKaarV2Paragraph">
                        <p>برای خرید یا فروش امن رمزارز ها، به خانواده بزرگ شیفت بپیوندید.</p>
                        <a href="https://exchange.shift.ir/register" className="masterBtn masterBtn-final">ثبت نام کنید</a>
                    </div>
                    <a href="#faq" className="masterSilentBtn">آشنایی با نحوه خرید و فروش<img src="/img/icon-arrow-left-blue.svg"/></a>
                    </div>
                    <Play market={self.props.market} />
                </div>
            </div>
            <div className="masterMainContainer masterMainContainer-coins masterMainContainer-halfcolorful">
            <div className="masterMainCoins">
                <div className="masterMainCoinsHeader">
                <div className="masterMainCoinsFilter">
                    <span>مرتب سازی بر اساس:</span>
                    <div className="masterMainCoinsFilterAction" onClick={self.filterAction}>
                        <div className="masterMainCoinsFilterActionAbsolute">
                            <a onClick={self.filterDo} data-sort="default" className={self.props.sort=='default' ? 'active' : ''}>پیشفرض</a>
                            <a onClick={self.filterDo} data-sort="pricey" className={self.props.sort=='pricey' ? 'active' : ''}>بیشترین قیمت</a>
                            <a onClick={self.filterDo} data-sort="gainers" className={self.props.sort=='gainers' ? 'active' : ''}>بیشترین سود</a>
                            <a onClick={self.filterDo} data-sort="losers" className={self.props.sort=='losers' ? 'active' : ''}>بیشترین ضرر</a>
                        </div>
                    </div>
                </div>
                <Link href="/currencies#default"><a className="masterBtn masterBtn-bluey"><img src="/img/icon-more-square-blue.svg" /><span>ارز های بیشتر</span></a></Link>
                {/* <div className="masterMainCoinsTotal">{results ? self.proprice(results.length) : self.proprice(0)} رمز ارز</div> */}
                </div>
                <table border="none" className="only-x-desktop">
                    <thead><tr><th>بازار</th><th>آخرین قیمت</th><th className="only-x-pc">تغییرات (24h)</th><th className="only-x-pc">حجم معاملات (24h)</th><th className="only-x-pc">مارکت کپ</th><th>عملیات</th></tr></thead>
                    <tbody>
                    {results ? Object(results).map((item,key)=>{
                    if(key>6){return false}
                    return (<tr key={`market-tr-${key}`}>
                        <td>
                        <div className="masterMainCoinGroup">
                            <div className="masterMainCoinIcon"><img src={`/img/coin-${item.key.toLowerCase()}.svg`}/></div>
                            <div className="masterMainCoinName">
                            <h4><b>{item.key}</b>/USDT</h4>
                            <h5><b>{item.namepersian}</b>/تتر</h5>
                            </div>
                        </div>
                        </td>
                        <td><bdi>$<b>{self.proprice(item.usd,false)}</b></bdi></td>
                        {/* <td>{item['1w'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1w'])}</td> */}
                        <td className="only-x-pc"><div className={`masterWage ${item['1d'].includes('-') ? 'isDown' : 'isUp'}`}>{item['1d'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1d'])}</div></td>
                        <td className="only-x-pc">${self.proprice(item.volume)}</td>
                        <td className="only-x-pc">${self.proprice(item.marketcap)}</td>
                        <td>
                        <div className="masterMainCoinAction">
                            <a href={`https://exchange.shift.ir/dashboard/buy_${item.key}`} className="masterBtn masterBtn-hover masterBtn-small"><span>خرید</span></a>
                            <a href={`https://exchange.shift.ir/dashboard/sell_${item.key}`} className="masterBtn masterBtn-hover masterBtn-small"><span>فروش</span></a>
                            <Link href={`/currencies/${item.key.toLowerCase()}`}><a className="masterBtn-hover masterBtn masterBtn-small masterBtn-blue">بررسی پروژه</a></Link>
                        </div>
                        </td>
                    </tr>)
                    }) : ''}
                    </tbody>
                </table>
                {results ? Object(results).map((item,key)=>{
                    if(key>6){return false}
                    return (<React.Fragment key={`market-coin-fragment-${key}`}>
                    <div key={`market-coin-mobile-${key}`} className="masterCoin only-x-mobile">
                        {/* <img className="masterCoinWall" src={`/img/coin-${item.key.toLowerCase()}.svg`}/> */}
                        <div className="masterCoinHeader">
                            <div className="masterMainCoinName"><h5><b>{item.namepersian}</b>/تتر</h5><h4><b>{item.key}</b></h4></div>
                            <div className="masterMainCoinIcon"><img src={`/img/coin-${item.key.toLowerCase()}.svg`}/></div>
                        </div>
                        <div className="masterCoinMain">
                            <div className="masterMainCoinPrice">
                            <span><b>{self.proprice(item.price)}</b> تومان</span>
                            <span><bdi>$<b>{self.proprice(item.usd,false)}</b></bdi>{item['1w'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1w'])}</span>
                            </div>
                            {/* <div className={`masterMainCoinGraph ${item['1w'].includes('-') ? 'isDown' : 'isUp'}`}><img src={item.graph} alt={`${item.name}-7d-price`}/></div> */}
                        </div>
                        <div className="masterCoinFooter">
                            <a href={`https://exchange.shift.ir/dashboard/buy_${item.key}`} className="masterMainCoinBuy masterBtn masterBtn-small"><span>خرید</span></a>
                            <a href={`https://exchange.shift.ir/dashboard/sell_${item.key}`} className="masterMainCoinSell masterBtn masterBtn-small"><span>فروش</span></a>
                            <Link href={`/currencies/${item.key.toLowerCase()}`}><a className="masterMainCoinLink masterBtn masterBtn-blue">تحلیل و بررسی پروژه</a></Link>
                        </div>
                    </div>
                    </React.Fragment>)
                }) : ''}
            </div>
            {/* <Link href="/currencies#default"><a className="masterMainCoinMore masterBtn masterBtn-black masterBtn-hover">
                <img src="/img/icon-more-square.svg" />
                <span>ارز های بیشتر</span>
            </a></Link> */}
            </div>
            <div className="masterMainContainer masterMainContainer-overflow">
                <div className="masterTitleBar mb-3">
                    <div className="masterTitle">
                    <div className="masterTitleWall"><img src="/img/icon-news.svg"/></div><img src="/img/icon-news.svg"/><span>اخبار داغ ارز دیجیتال</span>
                    </div>
                    <Link href="/news"><a className="masterBtn masterBtn-bluey"><img src="/img/icon-more-square-blue.svg" /><span>اخبار بیشتر</span></a></Link>
                </div>
                <div className="masterQuickPosts">
                <Link href="/news/2/%D9%BE%DB%8C%D8%B4%E2%80%8C%D8%A8%DB%8C%D9%86%DB%8C-%D8%A8%DB%8C%D8%AA%E2%80%8C%DA%A9%D9%88%DB%8C%D9%86-350-%D9%87%D8%B2%D8%A7%D8%B1-%D8%AF%D9%84%D8%A7%D8%B1%DB%8C-%D8%AA%D8%A7-%D8%B3%D8%A7%D9%84-2027"><a className="masterQuickPost"><img src="/img/thumbnail-1-tiny.jpg"/></a></Link>
                <Link href="/news/2/%D9%BE%DB%8C%D8%B4%E2%80%8C%D8%A8%DB%8C%D9%86%DB%8C-%D8%A8%DB%8C%D8%AA%E2%80%8C%DA%A9%D9%88%DB%8C%D9%86-350-%D9%87%D8%B2%D8%A7%D8%B1-%D8%AF%D9%84%D8%A7%D8%B1%DB%8C-%D8%AA%D8%A7-%D8%B3%D8%A7%D9%84-2027"><a className="masterQuickPost"><img src="/img/thumbnail-2-tiny.jpg"/></a></Link>
                <Link href="/news/2/%D9%BE%DB%8C%D8%B4%E2%80%8C%D8%A8%DB%8C%D9%86%DB%8C-%D8%A8%DB%8C%D8%AA%E2%80%8C%DA%A9%D9%88%DB%8C%D9%86-350-%D9%87%D8%B2%D8%A7%D8%B1-%D8%AF%D9%84%D8%A7%D8%B1%DB%8C-%D8%AA%D8%A7-%D8%B3%D8%A7%D9%84-2027"><a className="masterQuickPost"><img src="/img/thumbnail-3-tiny.jpg"/></a></Link>
                <Link href="/news/2/%D9%BE%DB%8C%D8%B4%E2%80%8C%D8%A8%DB%8C%D9%86%DB%8C-%D8%A8%DB%8C%D8%AA%E2%80%8C%DA%A9%D9%88%DB%8C%D9%86-350-%D9%87%D8%B2%D8%A7%D8%B1-%D8%AF%D9%84%D8%A7%D8%B1%DB%8C-%D8%AA%D8%A7-%D8%B3%D8%A7%D9%84-2027"><a className="masterQuickPost"><img src="/img/thumbnail-4-tiny.jpg"/></a></Link>
                {/* <Swiper
                style={{ direction: "rtl" }}
                dir={"rtl"}
                key={"rtl"}
      spaceBetween={50}
      slidesPerView={3}
      onSlideChange={() => console.log('slide change')}
      onSwiper={(swiper) => console.log(swiper)}
    >
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-1.jpg"/></div></SwiperSlide>
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-2.jpg"/></div></SwiperSlide>
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-3.jpg"/></div></SwiperSlide>
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-4.jpg"/></div></SwiperSlide>
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-5.jpg"/></div></SwiperSlide>
                    <SwiperSlide><div className="masterQuickPost"><img src="/img/thumbnail-6.jpg"/></div></SwiperSlide>
                    </Swiper> */}
                </div>
            </div>
            <div className="masterMainContainer masterMainContainer-overflow masterMainContainer-platview">
                <div className="masterFeatures">
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-feature-clock.svg"/></div>
                        <h3>سرعت بالای معامالت</h3>
                        <p>اتصال جهانی این امکان را به کاربران می دهد که هر ارزی را در کمتر از ۱۵ دقیقه در شیفت خرید و فروش کنند.</p>
                    </div>
                    
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-feature-bitcoin-convert.svg"/></div>
                        <h3>بیش از ۵۰۰ رمزارز</h3>
                        <p>در شیفت هر کاربر می تواند اقدام به خرید و یا فروش بیش از ۵۰۰ رمزارز و حتی ارزهای نوظهور نماید.</p>
                    </div>
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-feature-global.svg"/></div>
                        <h3>اتصال به بازار جهانی</h3>
                        <p>در شیفت به دلیل اتصال OTC، قیمت ها لحظه ای و زنده بوده که قیمت مناسبی را برای هر خرید برایتان فراهم میکند.</p>
                    </div>
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-diamonds.svg"/></div>
                        <h3>خرید و فروش طلای دیجیتال</h3>
                        <p>یکی از مطمئن ترین روش های نگهداری طلا به صورت دیجیتال می باشد، شیفت این امکان را برایتان فراهم کرده.</p>
                    </div>
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-feature-24-support.svg"/></div>
                        <h3>پشتیبانی و مشاوره رایگان</h3>
                        <p>تیم قدرتمند شیفت همواره در تمامی مراحل خرید بصورت شبانه روزی به شما کمک خواهند کرد.</p>
                    </div>
                    <div className="masterFeature">
                        <div className="masterFeatureIcon"><img src="/img/icon-feature-moneys.svg"/></div>
                        <h3>درامدزایی دائم</h3>
                        <p>در شیفت کاربران می توانند صرافی را به دوستان خود معرفی کرده و از محل کارمزد صرافی سود کسب نمایند.</p>
                    </div>
                </div>
            </div>
            <div className="masterMainContainer masterMainContainer-overflow masterMainContainer-colorful masterMainContainer-faq">
                <div className="scrollPoint"><div id="faq" className="scrollPointInner"></div></div>
                <div className="masterTitleBar mb-3">
                    <div className="masterTitle">
                    <div className="masterTitleWall"><img src="/img/icon-quote-down.svg"/></div><img src="/img/icon-news.svg"/><span>سوالات متداول</span>
                    </div>
                </div>
                <div className="faqItems">
                    <div className="faqItem active">
                        <div className="faqItemQuestion">چطور در شیفت ثبت نام و احراز هویت کنم ؟</div>
                        <div className="faqItemAnswer">برای ثبت‌نام در شیفت، پس از ورود به صفحه اصلی سایت www.shift.ir ، روی گزینه‌ی ثبت نام کلیک کرده و مراحل ثبت نام را طی کنید. در صورت بروز مشکل با پشتیبانی تماس بگیرید.</div>
                    </div>
                    <div className="faqItem">
                        <div className="faqItemQuestion">به طور معمول تایید مدارک ارسال شده چقدر زمان می‌برد؟</div>
                        <div className="faqItemAnswer">روند احراز هویت و تائید حساب‌های بانکی کاربران، معمولا حداکثر ۲۴ ساعت به طول می‌انجامد. دقت داشته باشید که در موارد خاص ممکن است به دلیل افزایش ناگهانی ثبت‌نام‌ها، این فرآیند کمی به طول بیانجامد که در این‌صورت، حتما از طریق کانال اطلاعیه‌های شیفت، در این زمینه اطلاع‌رسانی می‌شود.</div>
                    </div>
                    <div className="faqItem">
                        <div className="faqItemQuestion">مدت زمان تسویه تراکنش‌های خرید چقدر است؟</div>
                        <div className="faqItemAnswer">هنگام خرید رمزارز از شیفت ارسال رمزارز خریداری شده به کیف پول کاربران،‌ به صورت آنی و به محض رسیدن وجه ریالی به حساب شیفت انجام می‌پذیرد.</div>
                    </div>
                    <div className="faqItem">
                        <div className="faqItemQuestion">در صورت فراموشی رمز عبور حساب کاربری خود در شیفت چه باید کرد؟</div>
                        <div className="faqItemAnswer">در صورت فراموشی رمز عبور، باید به هنگام ورود به سایت، از گزینه "رمز خود را فراموش کرده ام" استفاده کنید. از این طریق، پیامی شامل رمز عبور یکبار مصرف به شماره‌ی موبایل ثبت شده شما در شیفت ارسال خواهد شد و از طریق وارد کردن این کد، امکان تغییر رمز عبور خود را خواهید داشت.</div>
                    </div>
                </div>
            </div>
            <div className="masterMainContainer masterMainContainer-overflow masterMainContainer-colorful">
                <div className="masterTitleBar">
                    <div className="masterTitle">
                    <div className="masterTitleWall"><img src="/img/icon-news.svg"/></div><img src="/img/icon-news.svg"/><span>اخبار ارز دیجیتال</span>
                    </div>
                    <Link href="/news"><a className="masterBtn masterBtn-hover only-desktop"><img src="/img/icon-more-square.svg" /><span>اخبار بیشتر</span></a></Link>
                </div>
                <div className="masterNews">
                    <Link href="/news/4/%D8%A7%DB%8C%D9%86%D8%AA%D8%B1%D9%86%D8%AA-%D9%87%D9%85%D8%B1%D8%A7%D9%87-%D9%87%D9%85%D9%87-%D8%A7%D9%BE%D8%B1%D8%A7%D8%AA%D9%88%D8%B1%D9%87%D8%A7-%D9%82%D8%B7%D8%B9-%D8%B4%D8%AF%D9%87">
                    <a className="masterNewsItem">
                        <img className="masterNewsItemWall" src="/img/news-1-tiny.jpg"/>
                        <div className="masterNewsItemImg"><img src="/img/news-1-tiny.jpg"/></div>
                        <div className="masterNewsItemContent">
                            <h6>اینترنت همراه همه اپراتورها قطع شده</h6>
                            <p>برای بار چندم اینترنت همراه تمام اپراتورها از ساعت ۱۰ صبح قطع و تبدیل به اینترنت ملی شد...</p>
                            <div className="masterMore"><span>ادامه خبر</span><img src="/img/icon-arrow-left-2.svg"/></div>
                        </div>
                        <div className="masterNewsItemDetails">
                            <div className="masterNewsItemDetail"><img src="/img/icon-subtitle.svg"/><span>متفرقه</span></div>
                            <div className="masterNewsItemDetail"><img src="/img/icon-clock.svg"/><span>لحظاتی پیش</span></div>
                        </div>
                    </a>
                    </Link>
                    <Link href="/news/3/%D8%A8%DB%8C%D8%B3%D8%AA-%D9%88-%DB%8C%DA%A9%D9%85%DB%8C%D9%86-%D9%85%D8%B1%D8%AD%D9%84%D9%87-%D8%AA%D9%88%DA%A9%D9%86-%D8%B3%D9%88%D8%B2%DB%8C-BNB">
                    <a className="masterNewsItem">
                    <img className="masterNewsItemWall" src="/img/news-2-tiny.jpg"/>
                        <div className="masterNewsItemImg"><img src="/img/news-2-tiny.jpg"/></div>
                        <div className="masterNewsItemContent">
                            <h6>بیست و یکمین مرحله توکن سوزی BNB</h6>
                            <p>بیست و یکمین مرحله توکن سوزی سه ماهه ارز BNB توسط بایننس تکمیل شد...</p>
                            <div className="masterMore"><span>ادامه خبر</span><img src="/img/icon-arrow-left-2.svg"/></div>
                        </div>
                        <div className="masterNewsItemDetails">
                            <div className="masterNewsItemDetail"><img src="/img/icon-subtitle.svg"/><span>توکن سوزی</span></div>
                            <div className="masterNewsItemDetail"><img src="/img/icon-clock.svg"/><span>امروز</span></div>
                        </div>
                    </a>
                    </Link>
                    <Link href="/news/5/%D9%87%DA%A9-%D8%B3%D9%86%DA%AF%DB%8C%D9%86-%D8%A7%D8%B1%D8%B2-%D9%87%D8%A7%DB%8C-%D8%AF%DB%8C%D8%AC%DB%8C%D8%AA%D8%A7%D9%84-%DA%A9%D8%B1%D9%87-%D8%B4%D9%85%D8%A7%D9%84%DB%8C">
                    <a className="masterNewsItem">
                        <img className="masterNewsItemWall" src="/img/news-3-tiny.jpg"/>
                        <div className="masterNewsItemImg"><img src="/img/news-3-tiny.jpg"/></div>
                        <div className="masterNewsItemContent">
                            <h6>هک سنگین ارز های دیجیتال کره شمالی</h6>
                            <p>هکرهای کره شمالی از سال 2019 حدود 52.5 میلیون دلار ارز دیجیتال به صرافی های کره جنوبی ارسال کردن تا از تحریم ها فرار کنن و پولشویی کنن...</p>
                            <div className="masterMore"><span>ادامه خبر</span><img src="/img/icon-arrow-left-2.svg"/></div>
                        </div>
                        <div className="masterNewsItemDetails">
                            <div className="masterNewsItemDetail"><img src="/img/icon-subtitle.svg"/><span>هک و امنیت</span></div>
                            <div className="masterNewsItemDetail"><img src="/img/icon-clock.svg"/><span>دیروز</span></div>
                        </div>
                    </a>
                    </Link>
                    <Link href="/news/1/%D8%A7%D9%86%D9%81%D8%AC%D8%A7%D8%B1-%D8%B3%D8%B7%D8%AD-%D8%AA%D9%88%D8%B1%D9%85-%D8%AA%D9%88-%D8%A2%D9%84%D9%85%D8%A7%D9%86">
                    <a className="masterNewsItem">
                        <img className="masterNewsItemWall" src="/img/news-4-tiny.jpg"/>
                        <div className="masterNewsItemImg"><img src="/img/news-4-tiny.jpg"/></div>
                        <div className="masterNewsItemContent">
                            <h6>انفجار سطح تورم تو آلمان</h6>
                            <p>طبق داده‌های منتشر شده نرخ تورم آلمان تو بُعد سالانه به 10 درصد رسیده...</p>
                            <div className="masterMore"><span>ادامه خبر</span><img src="/img/icon-arrow-left-2.svg"/></div>
                        </div>
                        <div className="masterNewsItemDetails">
                            <div className="masterNewsItemDetail"><img src="/img/icon-subtitle.svg"/><span>تورم</span></div>
                            <div className="masterNewsItemDetail"><img src="/img/icon-clock.svg"/><span>هفته پیش</span></div>
                        </div>
                    </a>
                    </Link>
                </div>
                <div className="masterTitleBar only-mobile"><Link href="/news"><a className="masterBtn masterBtn-hover"><img src="/img/icon-more-square.svg" /><span>اخبار بیشتر</span></a></Link></div>
                <div className="masterTutorials">
                    <div className="masterTutorialVideo">
                    <div className="h_iframe-aparat_embed_frame"><span style={{display:'block',paddingTop:'57%'}}></span><iframe src="https://www.aparat.com/video/video/embed/videohash/oj30D/vt/frame"  allowFullScreen={true}></iframe></div>
                    </div>
                    <div className="masterTutorialsList">
                        <div className="masterTutorial active" onClick={self.tutorialChoose}>
                            <div className="masterTutorialContent">
                            <div className="masterTutorialTitle">مفهوم بلاک چین</div>
                            <p>شامل توضیح کامل زنجیره بلاک ها</p>
                            </div>
                            <div className="masterTutorialNum">1</div>
                        </div>
                        <div className="masterTutorial" onClick={self.tutorialChoose}>
                            <div className="masterTutorialContent">
                            <div className="masterTutorialTitle">مفهوم رمز ارز</div>
                            <p>توضیح در رابطه با فلسفه کریپتو</p>
                            </div>
                            <div className="masterTutorialNum">2</div>
                        </div>
                        <div className="masterTutorial" onClick={self.tutorialChoose}>
                            <div className="masterTutorialContent">
                            <div className="masterTutorialTitle">آموزش کیف پول</div>
                            <p>شامل نصب و راه اندازی کیف پول</p>
                            </div>
                            <div className="masterTutorialNum">3</div>
                        </div>
                    </div>
                </div>
                <div className="masterTitleBar only-mobile"><Link href="/tutorials"><a className="masterBtn masterBtn-hover"><img src="/img/icon-more-square.svg" /><span>آموزش بیشتر</span></a></Link></div>
            </div>
            {/* <span>خوش آمدید</span>
            <div style={{marginTop:'50px',height:'1000px',background:'#e32727'}}></div>
            <div style={{height:'1000px',background:'#ff6013'}}></div>
            <div style={{height:'1000px',background:'#3e2d2d'}}></div>
            <div style={{height:'1000px',background:'#000'}}></div> */}
            <WhaleAlert/>
            </React.Fragment>
        );
    }
}