import INNER_API from '../config'
import {postData} from '../lib/postData';
const CryptoJS = require("crypto-js");
export const coinAPI = async (coin) => {
  try{
    const call = await fetch(`${INNER_API}/coin?key=${coin}`)
    const response = await call.json()
    if(response.error){
      return {
        error:true,
        data:false,
      }
    }
    return {
      error:false,
      data:response.data
    }
  }catch(error){
    console.log('err',error);
    return {
      error:true,
      data:false,
    }
  } 
}
export const oneNewsAPI = async (id,slug) => {
  try{
    const call = await fetch(`${INNER_API}/news/${id}/${slug}`)
    const response = await call.json()
    if(response.error){
      return {
        error:true,
        data:[]
      }
    }
    return {
      error:false,
      data:response.data
    }
  }catch(error){
    console.log('err',error);
    return {
      error:true,
      data:[]
    }
  } 
}
export const newsAPI = async (start=1,limit=20,categories=false,category=false) => {
  try{
    const call = await fetch(`${INNER_API}/news?start=${start}&limit=${limit}&categories=${categories}&category=${category}`)
    const response = await call.json()
    if(response.error){
      return {
        error:true,
        data:[]
      }
    }
    return {
      error:false,
      data:response.data,
      categories:response.categories,
      coincategories:response.coincategories,
    }
  }catch(error){
    console.log('err',error);
    return {
      error:true,
      data:[]
    }
  } 
}
export const whalesAPI = async (salt,token) => {
  try{
      if(token!=CryptoJS.MD5(salt+'313').toString()){
        return {
          error:true,
          data:[],
        }
      }
      const call = await fetch(`${INNER_API}/whaleAlert?salt=${salt}&token=${token}`)
      const response = await call.json()
      if(response.error){
        return {
          error:true,
          data:[],
        }
      }
      return {
        error:false,
        data:response.data
      }
    }catch(error){
      console.log('err',error);
      return {
        error:true,
        data:[],
      }
    } 
}
export const marketAPI = async (salt,token) => {
    try{
        if(token!=CryptoJS.MD5(salt+'313').toString()){
          return {
            error:true,
            market:false,
            status:false
          }
        }
        const call = await fetch(`${INNER_API}/market?salt=${salt}&token=${token}`)
        const response = await call.json()
        if(response.error){
          return {
            error:true,
            market:false,
            status:false
          }
        }
        return {
          error:false,
          market:response.coins,
          status:response.status
        }
      }catch(error){
        console.log('err',error);
        return {
          error:true,
          market:false,
          status:false
        }
      } 
}
export const initAPI = async (salt,token) => {
    try{
        const call = await fetch(`https://shift.ir/init.php`)
        const response = await call.json()
        return response
      }catch(error){
        console.log('err',error);
        return {
          error:true,
          config:false,
        }
      } 
}
export const closeAPI = async (locale) => {
    try{
        const call = await postData(`init?locale=${locale}`,{},true)
        const response = await call
        return {
          senser:response.senser,
          coupons:response.coupons,
          productsets:response.productsets,
          lastvisits:response.lastvisits
        }
      }catch(error){
        console.log('err',error);
        return {
          error:true,
          config:false,
        }
      } 
}
export const getToken = async (locale) => {
    try{
        const call = await fetch(`${API}/laravelize`)
        const response = await call.json()
        return {
          token:response.token
        }
      }catch(error){
        console.log('err',error);
        return {
          error:true,
          config:false,
        }
      } 
}