import Head from 'next/head'
import Image from 'next/image'
import { useRouter } from 'next/router';
import { useEffect } from 'react';
import { oneNewsAPI } from '../../../lib/data'
import NewsSingle from '../../../components/NewsSingle';

export default function hiNews({config,setTitle,...pageProps}) {
  const router=useRouter()
  const title=router.query.url.replace(/-/g,' ')
  useEffect(()=>{
    setTitle(title)
  },[title])
  return (
    <>
      <Head>
        <title>سینگل خبر ارز دیجیتال</title>
        <meta name="description" content={config.indexDescripion} />
        <meta property="og:title" content={config.indexTitle} />
        <meta property="og:description" content={config.indexDescripion} />
      </Head>
      <NewsSingle config={config} {...pageProps} />
    </>
  )
}

export async function getServerSideProps(context) {
  try {
      const call = await oneNewsAPI(context.params.id,context.params.url);
      console.log(call,'this is what it is')
      if(call.error){
        return {
          redirect: {
            permanent: false,
            destination: "/404",
          },
          props:{},
        };
      }
      return {
          props:{data:call.data}
      } 
  } catch (e) {
      return {
          props:{data: []}
      }
  }
}